local toc, data = ...
local AddonId = toc.identifier

WT.Unit.CreateVirtualProperty("healthWarning", { "health", "healthMax" },
    function(unit)
        if unit.health and unit.healthMax and unit.healthMax > 0 then
            local hpPercent = unit.health / unit.healthMax
                if hpPercent <= 0.2 then
                    return true
                else
                    return nil
                end
        end
        return nil
    end)
	
WT.Unit.CreateVirtualProperty("manaWarning", { "mana", "manaMax" },
	function(unit)
		if not unit.mana then return nil end
		if unit.mana and unit.manaMax and unit.manaMax > 0 then
			local manaPercent = unit.mana / unit.manaMax
				if manaPercent <= 0.2 then
					return true
				else
                    return nil
                end
        end
        return nil
    end)
	
WT.Unit.CreateVirtualProperty("vitalityWarning", { "vitality" },
	function(unit)
		if type(unit.vitality) == "number" and unit.vitality <= 10 then
			return true
		else
			return nil
		end
	end)
	
WT.Unit.CreateVirtualProperty("aggroWarning", { "aggro" },
	function(unit)
		if not unit.aggro then return nil end
		if unit.aggro then
			return true
		else
			return nil
		end
	end)
	
WT.Unit.CreateVirtualProperty("comboWarning", { "combo", "power", "energy" },
	function(unit)
        if not unit.combo then return nil end
		if unit.energy and unit.combo == 5 then 
			return true
		elseif unit.power and unit.combo == 3 then 
			return true
		else
			return nil 
		end
	end)
