local toc, data = ...
local AddonId = toc.identifier

-- Load all of the built in media -----------------------------------------------------------------
Library.Media.AddTexture("Heal", AddonId, "img/Icons/Heal.png", {"roleHeal"})
Library.Media.AddTexture("DPS", AddonId, "img/Icons/DPS.png", {"roleDPS"})
Library.Media.AddTexture("Tank", AddonId, "img/Icons/Tank.png", {"roleTank"})
Library.Media.AddTexture("Support", AddonId, "img/Icons/Support.png", {"roleSupport"})

Library.Media.AddTexture("rgRaidHeal", "Rift", "vfx_ui_mob_tag_heal_mini.png.dds", {"roleHeal"})
Library.Media.AddTexture("rgRaidDPS", "Rift", "vfx_ui_mob_tag_damage_mini.png.dds", {"roleDPS"})
Library.Media.AddTexture("rgRaidTank", "Rift", "vfx_ui_mob_tag_tank_mini.png.dds", {"roleTank"})
Library.Media.AddTexture("rgRaidSupport", "Rift", "vfx_ui_mob_tag_support_mini.png.dds", {"roleSupport"})

Library.Media.AddTexture("bossIcon", AddonId, "img/icons/bossIcon.png", {})
Library.Media.AddTexture("eliteIcon", AddonId, "img/icons/eliteIcon.png", {})
Library.Media.AddTexture("normalIcon", AddonId, "img/icons/normalIcon.png", {})

Library.Media.AddTexture("targetEliteBackdrop", AddonId, "img/borders/targetEliteBackdrop.png", {})
Library.Media.AddTexture("targetEliteBackdrop_tagged", AddonId, "img/borders/targetEliteBackdrop_tagged.png", {})
Library.Media.AddTexture("targetBackdrop", AddonId, "img/borders/targetBackdrop.png", {})
Library.Media.AddTexture("targetBackdrop_tagged", AddonId, "img/borders/targetBackdrop_tagged.png", {})

Library.Media.AddTexture("targetInnerFrame", AddonId, "img/borders/targetInnerFrame.png", {})
Library.Media.AddTexture("targetEliteInnerFrame", AddonId, "img/borders/targetEliteInnerFrame.png", {})

Library.Media.AddTexture("innerFrameTT", AddonId, "img/borders/innerFrameTT.png", {})
Library.Media.AddTexture("eliteInnerFrameTT", AddonId, "img/borders/eliteInnerFrameTT.png", {})

Library.Media.AddTexture("targetBossBorder", AddonId, "img/borders/targetBossBorder.png", {})
Library.Media.AddTexture("targetRareBorder", AddonId, "img/borders/targetRareBorder.png", {})

Library.Media.AddTexture("eliteBorder", AddonId, "img/borders/eliteBorder.png", {})
Library.Media.AddTexture("normalBorder", AddonId, "img/borders/normalBorder.png", {})

Library.Media.AddTexture("eliteBorder2", AddonId, "img/borders/eliteBorder2.png", {})
Library.Media.AddTexture("normalBorder2", AddonId, "img/borders/normalBorder2.png", {})

Library.Media.AddTexture("bossBorder", AddonId, "img/borders/bossBorder.png", {})
Library.Media.AddTexture("rareBorder", AddonId, "img/borders/rareBorder.png", {})

Library.Media.AddTexture("factionDominion", AddonId, "img/icons/factionDominion.png", {})
Library.Media.AddTexture("factionNightfall", AddonId, "img/icons/factionNightfall.png", {})
Library.Media.AddTexture("factionOathsworn", AddonId, "img/icons/factionOathsworn.png", {})

Library.Media.AddFont("Bazooka", AddonId, "Bazooka.ttf")
Library.Media.AddFont("Cardifbi", AddonId, "CARDIFBI.ttf")
Library.Media.AddFont("BlackChancery", AddonId, "BlackChancery.ttf")
Library.Media.AddFont("ArmWrestler", AddonId, "ArmWrestler.ttf")
Library.Media.AddFont("SFAtarianSystem", AddonId, "SFAtarianSystem")
Library.Media.AddFont("DarkCrystalScript", AddonId, "DarkCrystalScript.ttf")
Library.Media.AddFont("Dark", AddonId, "Dark.ttf")




---------------------------------------------------------------------------------------------------
